Mono.Options 0.2.2.0 System.Object Support for inserting additional arguments during processing.

The type is an abstraction to allow "insertion" of additional values for option processing while processing arguments.

The principal use case is for response files, as used by CSC.EXE, CL.EXE, and numerous other compilers. A response file contains additional options for the tool, and the contents of the response file should be "inserted" as if entered on the command line. Response files are useful for bypassing command-line length limitations, among other things.

Applications must opt-in to response file support by calling before calling .

Inheriting classes must override the following abstract methods:
- Constructor
  0.2.2.0
  Construct and initialize a instance.
- Property
  0.2.2.0
  System.String The description to provide for the argument source within . A containing the description to provide for the argument source within .
- Method
  0.2.2.0
  System.Collections.Generic.IEnumerable<System.String> `` A to extract arguments from. Extract arguments from a . A which will provide arguments extracted from .

  Arguments are extracted from by splitting on newlines and spaces but maintaining the contents of single-quoted and double-quoted strings. Thus, A B will be split as the separate strings "A", "B", while "A B" will be returned as-is.

  is not d.
- Method
  0.2.2.0
  System.Boolean `` `` A containing the argument to replace with additional arguments. A which will refer to teh replacement arguments if this method returns ; otherwise, this value should be ignored by callers. Replace the argument with a set of replacement arguments. if this will replace with a set of replacement strings and contains the replacement strings; otherwise, .

  Before attempts to parse an argument as an option (or option value), all registered are consulted in registration order to see if "supports" the argument via . The first ArgumentSource to return from GetArguments() may provide the replacement tokens, and no later ArgumentSourcees are consulted.

- Method
  0.2.2.0
  System.Collections.Generic.IEnumerable<System.String> `` A containing the file to extract arguments from. Extract arguments from the specified filename. A which will provide arguments extracted from . could not be read.
- Method
  0.2.2.0
  System.String[] The names to provide for the argument source within . A array containing the names to provide for the argument source within .